<?php
$contentId = 0;
if ( $this->content ) {
    $contentId = $this->content->ID;
}
$setting = new IPSnot_setting( $contentId, '__ipsnot-chat-content-setting' );
if ( $this->content ) 
{
    $submit      = __( 'Save Change', 'wp_notification_plus' );
    $submitId    = 'ipsnot-do-edit-content';
    $submit_icon = 'floppy-o';
    
} else 
{
    $submit      = __( 'Add Content', 'wp_notification_plus' );
    $submitId    = 'ipsnot-do-add-content';
    $submit_icon = 'plus-circle';
}
?>
<div class="ipbe-fields">
    <input type="hidden" name="content_chat_id" id="ipsnot-value-chatid" value="<?php echo $contentId; ?>" />
      
    <?php
    //Content
    ?>
    <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
        <div class="ipbe-form-label">
            <label for="input-content-chat-text"><?php _e( 'Content', 'wp_notification_plus' ); ?></label>
        </div>
        <div class="ipbe-field">
            <?php
            $content = '';
            if ( $this->content ) {
                $content = $this->content->post_content;
            }
            ?>
            <textarea class="ipbe-input ipbe-input-full" name="content"><?php echo stripslashes( $content ); ?></textarea>
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'Set chat content.', 'wp_notification_plus' ); ?>
                </div>
            </div>
        </div>
    </div>
    
    <?php
    //Use Button
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="input-content-chat-use-button"><?php _e( 'Use Button', 'wp_notification_plus' ); ?></label>
        </div>
        <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
            
            <div class="ipbe-btn-onoff ipsnot-use-btn-option">
                <?php
                $use_val = $setting->getSetting( 'use_button', 'false' );
                if ( $use_val == 'false' ) {
                    $clon  = '';
                    $cloff = ' ipbe-btn-danger active';
                } else {
                    $clon  = ' ipbe-btn-success active';
                    $cloff = '';
                }
                ?>
                <div class="ipbe-btn-group">
                    <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_notification_plus' ); ?></button>
                    <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_notification_plus' ); ?></button>
                </div>
                <input type="hidden" class="ipbe-onoff-value" name="use_button" value="<?php echo $use_val; ?>" />
            </div>
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'Decides whether to use button in chat content.', 'wp_notification_plus' ); ?>
                </div>
            </div>
        </div>
    </div>
    <?php 
    if ( $use_val == 'false' ) {
        $dsp = ' style="display:none;"';
    } else {
        $dsp = '';
    }
    ?>
    <div class="ipsnot-use-button-fields"<?php echo $dsp; ?>>
            
        <?php
        //Button Text
        ?>
        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                <label for="input-cchat-btn-text"><?php _e( 'Button Text', 'wp_notification_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                <?php
                $text = stripslashes( $setting->getSetting( 'button_text' ) );
                ?>
                <input type="text" id="input-cchat-btn-text" class="ipbe-input ipbe-input-full" name="button_text" value="<?php echo $text; ?>">
                   
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Set the button text.', 'wp_notification_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
        <?php
        //Button URL
        ?>
        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                <label for="input-cchat-btn-url"><?php _e( 'Button URL', 'wp_notification_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                <?php
                $url = $setting->getSetting( 'button_url' );
                ?>
                <input type="text" id="input-cchat-btn-url" class="ipbe-input ipbe-input-full" name="button_url" value="<?php echo $url; ?>">
                   
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Set the button URL.', 'wp_notification_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
        <?php
        //Button Style
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                <label for="input-cchat-btn-style"><?php _e( 'Button Style', 'wp_notification_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                <select name="button_style" id="input-cchat-btn-style">
                    <?php
                    $current = $setting->getSetting( 'button_style', 'grey' );
                    $styles  = array(
                        'grey'    => __( 'Grey', 'wp_notification_plus' ),
                        'black'   => __( 'Black', 'wp_notification_plus' ),
                        'blue'    => __( 'Blue', 'wp_notification_plus' ),
                        'light-blue' => __( 'Light Blue', 'wp_notification_plus' ),
                        'green'   => __( 'Green', 'wp_notification_plus' ),
                        'orange'  => __( 'Orange', 'wp_notification_plus' ),
                        'red'     => __( 'Red', 'wp_notification_plus' )
                    );
                    foreach( $styles as $key => $label ) {
                        $sltd = '';
                        if ( $key == $current ) {
                            $sltd = ' selected="selected"';
                        }
                        echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
                    }
                    ?>
                </select>
                   
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Set the button style.', 'wp_notification_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
            
        <?php
        //Open in new tab
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                <label for="input-offer-open"><?php _e( 'Open in New Tab Window', 'wp_notification_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                
                <div class="ipbe-btn-onoff">
                    <?php
                    $val = $setting->getSetting( 'button_new_tab', 'true' );
                    if ( $val == 'false' ) {
                        $clon  = '';
                        $cloff = ' ipbe-btn-danger active';
                    } else {
                        $clon  = ' ipbe-btn-success active';
                        $cloff = '';
                    }
                    ?>
                    <div class="ipbe-btn-group">
                        <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_notification_plus' ); ?></button>
                        <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_notification_plus' ); ?></button>
                    </div>
                    <input type="hidden" class="ipbe-onoff-value" name="button_new_tab" value="<?php echo $val; ?>" />
                </div>
                    
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Decides whether to open a new window or not when the user pressed the button.', 'wp_notification_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
            
    <?php
    //Submit Button
    ?>
    <div class="ipbe-field-row ipbe-field-y">
        <div class="row">
            <div class="col-md-6">
                <button type="submit" class="ip-form-submit ipbe-btn ipbe-btn-primary" id="<?php echo $submitId; ?>" name="add_offer">
                    <i class="ibe ibe-<?php echo $submit_icon; ?>"></i>
                    <strong><?php echo $submit; ?></strong>
                </button>
            </div>
            <div class="col-md-6">
                <div class="text-right">
                    <a href="#" class="ipbe-btn ipbe-ui-close ipbe-modal-cancel">
                        <i class="ibe ibe-times"></i>
                        <?php _e( 'Cancel', 'wp_notification_plus' ); ?>
                    </a>
                </div>
            </div>
        </div>
    </div>
    
</div>