<div id="ipsnot-section-effect-chat" class="ipbe-tab-content">
    <div class="ipbe-tab-inner">
        
        <div class="ipbe-title-content ipbe-hide">
            <i class="ibe ibe-cogs"></i>
            <div class="ipbe-title-text">
                <h3><?php _e( 'Effect', 'wp_notification_plus' ); ?></h3>
                <p><?php _e( 'Set the effect of the notification widget', 'wp_notification_plus' ); ?></p>
            </div>
        </div>
        
        <div class="ipbe-fields">
            
            <?php
            //Position
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-position-chat"><?php _e( 'Position', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    <select id="input-position-chat" class="ipbe-input" name="position_chat">
                            <?php
                            $post  = stripslashes( $this->setting->getSetting( 'position_chat', 'bottom_right' ) );
                            $options = array(
                                'top_left'         => __( 'Top Left', 'wp_notification_plus' ),
                                'top_right'        => __( 'Top Right', 'wp_notification_plus' ),
                                'bottom_left'      => __( 'Bottom Left', 'wp_notification_plus' ),
                                'bottom_right'     => __( 'Bottom Right', 'wp_notification_plus' )
                            );
                            foreach( $options as $key => $option ) {
                                $sltd = '';
                                if ( $key == $post ) {
                                    $sltd = ' selected="selected"';
                                }
                                echo '<option value="' . $key . '"' . $sltd . '>' . $option . '</option>';
                            }
                            ?>
                    </select>
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the position of the notification widget.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Widget Delay
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-widget-delay-chat"><?php _e( 'Widget Delay', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">

                    <?php
                    $delay = stripslashes( $this->setting->getSetting( 'widget_delay_chat' ) );
                    ?>
                    <div class="ipbe-input-group">
                        <input type="text" id="input-widget-delay-chat" class="ipbe-input ipbe-input-xs" name="widget_delay_chat" value="<?php echo $delay; ?> ">
                        <div class="ipbe-input-addon">
                            <?php _e( 'in second', 'wp_notification_plus' ); ?> 
                        </div>
                    </div>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the time delay of notification widget displayed.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Widget Delay Method
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-widget-delay-method-chat"><?php _e( 'Widget Delay Method', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">

                    <select id="input-widget-delay-method-chat" class="ipbe-input" name="widget_delay_method_chat">
                        <?php
                        $method = stripslashes( $this->setting->getSetting( 'widget_delay_method_chat' ) );
                        $options = array(
                            'page'  => __( 'Start when the page is loaded', 'wp_notification_plus' ),
                            'tab'   => __( 'Start when the user viewing a different tab', 'wp_notification_plus' )
                        );
                        foreach( $options as $key => $option ) {
                            $sltd = '';
                            if ( $key == $method ) {
                                $sltd = ' selected="selected"';
                            }
                            echo '<option value="' . $key . '"' . $sltd . '>' . $option . '</option>';
                        }
                        ?>
                    </select>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set how the time delay begins.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Chat Delay
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-chat-delay"><?php _e( 'Chat Delay', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">

                    <?php
                    $delay = stripslashes( $this->setting->getSetting( 'chat_delay', 4 ) );
                    ?>
                    <div class="ipbe-input-group">
                        <input type="text" id="input-chat-delay" class="ipbe-input ipbe-input-xs" name="chat_delay" value="<?php echo $delay; ?> ">
                        <div class="ipbe-input-addon">
                            <?php _e( 'in second', 'wp_notification_plus' ); ?> 
                        </div>
                    </div>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the time delay of each chat displayed.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Typing Indicator
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-typing-indicator"><?php _e( 'Typing Indicator', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">

                    <select name="typing_indicator" id="ipsnot-input-typing-indicator" class="ipbe-input">
                    <?php
                    $indicator = $this->setting->getSetting( 'typing_indicator', 'image1' );
                    $options   = array(
                        'image1'   => __( 'Image 1', 'wp_notification_plus' ),
                        'image2'   => __( 'Image 2', 'wp_notification_plus' ),
                        'image3'   => __( 'Image 3', 'wp_notification_plus' ),
                        'text'     => __( 'Text', 'wp_notification_plus' )
                    );
                    foreach( $options as $key => $label ) {
                        $sltd = '';
                        if ( $key == $indicator ) {
                            $sltd = ' selected="selected"';
                        }
                        echo '<option value="' . $key . '"'. $sltd . '>' . $label . '</option>';
                    }
                    if ( $indicator == 'text' ) {
                        $dsp = '';
                    } else {
                        $dsp = ' style="display:none;"';
                    }
                    ?>
                    </select>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the typing indicator when each chat displayed.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                    <div id="ipsnot-typing-indicator-text" class="mt5"<?php echo $dsp; ?>>
                        <?php
                        $text = stripslashes( $this->setting->getSetting( 'typing_indicator_text' ) );
                        ?>
                        <input type="text" id="input-typing-indicator-text" class="ipbe-input ipbe-input-full" name="typing_indicator_text" value="<?php echo $text; ?>">
                    </div>
                </div>
            </div>
            
            <?php
            //Chat ringtone
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-chat-ringtone"><?php _e( 'Chat Ringtone', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">

                    <select id="input-chat-ringtone" class="ipbe-input" name="chat_ringtone">
                        <option value="0"> <?php _e( 'No Ringtone', 'wp_notification_plus' );  ?> </option>
                        <?php
                        $ring = $this->setting->getSetting( 'chat_ringtone', 'bbm_tone' );
                        $ringtones = array(
                            'apple_sms'        => __( 'Apple SMS', 'wp_notification_plus' ),
                            'bbm_tone'         => __( 'BBM Tone', 'wp_notification_plus' ),
                            'kakao_talk_alert' => __( 'Kakao Talk Alert', 'wp_notification_plus' ),
                            'line_alert'       => __( 'Line Alert', 'wp_notification_plus' ),
                            'notifier_eager'   => __( 'Notifier Eager', 'wp_notification_plus' ),
                            'samsung_whistle'  => __( 'Samsung Whistle', 'wp_notification_plus' )
                        );
                        foreach( $ringtones as $key => $label ) {
                            $sltd = '';
                            if ( $key == $ring ) {
                                $sltd = ' selected="selected"';
                            }
                            echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                        }
                        ?>
                    </select>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the ringtone of each chat displayed.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Animation Speed
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-animation-speed-chat"><?php _e( 'Animation Speed', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                        <select id="input-animation-speed-chat" class="ipbe-input" name="animation_speed_chat">
                            <?php
                            $effect  = stripslashes( $this->setting->getSetting( 'animation_speed_chat', 'md' ) );
                            $options = array(
                                'xs'    => __( 'Very Slow', 'wp_notification_plus' ),
                                'sm'    => __( 'Slow', 'wp_notification_plus' ),
                                'md'    => __( 'Medium', 'wp_notification_plus' ),
                                'lg'    => __( 'Fast', 'wp_notification_plus' ),
                                'xg'    => __( 'Very Fast', 'wp_notification_plus' ),
                            );
                            foreach( $options as $key => $option ) {
                                $sltd = '';
                                if ( $key == $effect ) {
                                    $sltd = ' selected="selected"';
                                }
                                echo '<option value="' . $key . '"' . $sltd . '>' . $option . '</option>';
                            }
                            ?>
                        </select>
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the speed of the animation when the notification is displayed.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Audio
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-audio-chat"><?php _e( 'Widget Audio Effect', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">

                    <select id="input-audio-chat" class="ipbe-input" name="audio_chat">
                        <option value="0"> <?php _e( 'No Audio', 'wp_notification_plus' );  ?> </option>
                        <?php
                        $audio   = absint( $this->setting->getSetting( 'audio_chat', 0 ) );
                        $options = range(1,5);
                        foreach( $options as $key ) {
                            $sltd = '';
                            if ( $key == $audio ) {
                                $sltd = ' selected="selected"';
                            }
                            echo '<option value="' . $key . '"' . $sltd . '>Audio #' . $key . '</option>';
                        }
                        ?>
                    </select>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the sound effect when the main content of the shared object is displayed', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
        
        </div>
    </div>
</div>