<?php
$nm = $this->suffix_name;
$id = $this->suffix_id;
?>
<div id="ipsnot-section-general<?php echo $id; ?>" class="ipbe-tab-content">
    <div class="ipbe-tab-inner">
        
        <div class="ipbe-title-content ipbe-hide">
            <i class="ibe ibe-cogs"></i>
            <div class="ipbe-title-text">
                <h3><?php _e( 'General', 'wp_notification_plus' ); ?></h3>
                <p><?php _e( 'Basic settings and info of your notification', 'wp_notification_plus' ); ?></p>
            </div>
        </div>
        
        <div class="ipbe-fields">
        
            <?php
            //Title
            ?>
            <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                <div class="ipbe-form-label">
                    <label for="input-title<?php echo $id; ?>"><?php _e( 'Title', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field">
                    <?php
                    $title = '';
                    if ( $this->notif ) {
                        $title = stripslashes( $this->notif->post_title );
                    }
                    ?>
                    <input type="text" id="input-title<?php echo $id; ?>" class="ipbe-input ipbe-input-full ipbe-input-v-lg" name="title<?php echo $nm; ?>" value="<?php echo $title; ?> ">
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'The title of the notification. This data will not be used directly in shaping the notification, only to mark the notification, so it easier for you to manage it.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Status notikasi
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-status<?php echo $id; ?>"><?php _e( 'Status', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                
                    <div class="ipbe-btn-onoff">
                        <?php
                        $val  = 'true';
                        if ( $notif && $notif->post_status == 'draft' ) {
                            $val = 'false';
                        }
                        if ( $val == 'false' ) {
                            $clon  = '';
                            $cloff = ' ipbe-btn-danger active';
                        } else {
                            $clon  = ' ipbe-btn-success active';
                            $cloff = '';
                        }
                        ?>
                        <div class="ipbe-btn-group">
                            <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Publish', 'wp_notification_plus' ); ?></button>
                            <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Draft', 'wp_notification_plus' ); ?></button>
                        </div>
                        <input type="hidden" class="ipbe-onoff-value" name="status<?php echo $nm; ?>" value="<?php echo $val; ?>" />
                    </div>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Determines the status of the notification whether the notification will be viewable by the public or not.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>

        </div>
        
    </div>
</div>