<?php
$sett  = $this->setting();
$icon  = $sett->getSetting( 'widget_icon_chat' );
$title = $sett->getSetting( 'widget_title_chat', __( 'Notification', 'wp_notification_plus' ));
?>

<!-- start: .ipsnot-widget_top -->
<div class="ipsnot-widget_top">
    <h3 class="ipsnot-widget_title">
        <?php
        if ( $icon ) {
            echo '<i class="ibe ibe-' . $icon . '"></i>';
        }
        ?>
        <span class="ipsnot-widget_title_text"><?php echo $title; ?></span>
    </h3>
    <div class="ipsnot-widget_top_icon">
        <a href="#" class="ipsnot-widget_close">
            <i class="ibe ibe-times"></i>
        </a>
    </div>
</div>
<!-- end: .ipsnot-widget_top -->

<!-- start: .ipsnot-widget_top_nav -->
<div class="ipsnot-widget_top_nav">
    <?php 
    if ( $sett->getSetting( 'style_google_icon_call', 'true' ) == 'true' ) :
    ?>
    <div class="ipsnot-widget_top_nav_link">
        <a href="#" class="ipsnot_link_deco">
            <i class="ibe ibe-phone"></i>
            <?php _e( 'Call', 'wp_notification_plus' ); ?>
        </a>
    </div>
    <?php
    endif;
    
    if ( $sett->getSetting( 'style_google_icon_file', 'true' ) == 'true' ) :
    ?>
    <div class="ipsnot-widget_top_nav_link">
        <a href="#" class="ipsnot_link_deco">
            <i class="ibe ibe-cloud"></i>
            <?php _e( 'Send Files', 'wp_notification_plus' ); ?>
        </a>
    </div>
    <?php
    endif;
    ?>
</div>
<!-- end: .ipsnot-widget_top_nav -->
