<div id="ipsnot-setting" class="wrap ipbe-wrap ipsnot-admin">
    <div class="ipbe-inner">
        
        <?php $this->header( 'ipsnot-setting' ); ?>
        
        <div class="ipbe-main">
            <div class="ipbe-main-info"></div>

            <div class="ipbe-primary">
                <div class="ipbe-setting-wrap">
                    <?php
                    $action = admin_url( 'admin-ajax.php' ) . '?doajax=1&ipsnot=1&action=ipsnot_setting';
                    ?>
                    <form id="ipsnot-form-setting" class="ipbe-form" action="<?php echo $action; ?>" method="post">

<div class="container-fluid container">
    <div class="mb40">
        <h3 class="font-h4 mb20 line-title-double"><?php _e( 'Home Widget', 'wp_notification_plus' ); ?></h3>
        <p><?php _e( 'Select a notification object in bellow to show notification object in your homepage.', 'wp_notification_plus' ); ?></p>
        <div class="ipbe-fields">
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-lg-2 col-md-3 col-sm-4">
                    <label for="input-home-notif"><?php _e( 'Notification', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-5 col-md-7 col-sm-8">

                    <select id="input-home-notif" class="ipbe-input" name="home_notification">
                        <option value="0">- <?php _e( 'Select Notification', 'wp_notification_plus' );  ?> -</option>
                        <?php
                        $current = get_option( '__ipsnot_home_notification' );
                        $notifs  = $this->_get_notif_objects();
                        if ( ! empty( $notifs )) 
                        {
                            foreach( $notifs as $notif ) 
                            {
                                $sltd = '';
                                if ( $notif->ID == $current ) {
                                    $sltd = ' selected="selected"';
                                }
                                echo '<option value="' . $notif->ID . '"' . $sltd . '>' . $notif->post_title . '</option>';
                            }
                        }
                        ?>
                    </select>
                </div>
            </div>
        </div>
    </div>
    
    <h3 class="font-h4 mb20 line-title-double"><?php _e( 'General Widget', 'wp_notification_plus' ); ?></h3>
    <p><?php _e( 'Show a notification object in all page. If it is determined that all of the settings of notification object in every page of the website will be ignored.', 'wp_notification_plus' ); ?></p>
    <div class="fields">
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-lg-2 col-md-3 col-sm-4">
                <label for="input-general-notif"><?php _e( 'Notification', 'wp_notification_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-lg-5 col-md-7 col-sm-8">

                <select id="input-general-notif" class="ipbe-input" name="general_notification">
                    <option value="0">- <?php _e( 'Select Notification', 'wp_notification_plus' );  ?> -</option>
                    <?php
                    $current = get_option( '__ipsnot_general_notification' );
                    $notifs  = $this->_get_notif_objects();
                    if ( ! empty( $notifs )) 
                    {
                        foreach( $notifs as $notif ) 
                        {
                            $sltd = '';
                            if ( $notif->ID == $current ) {
                                $sltd = ' selected="selected"';
                            }
                            echo '<option value="' . $notif->ID . '"' . $sltd . '>' . $notif->post_title . '</option>';
                        }
                    }
                    ?>
                </select>
            </div>
        </div>
    </div>
</div>

<div class="ipbe-form-footer">
    <div class="container-fluid container">
        <div class="col-xs-6">
            <button type="submit" id="" class="ipbe-btn ipbe-btn-primary ipbe-btn-lg ip-form-submit">
                <i class="ibe ibe-floppy-o"></i>
                <?php _e( 'Save Settings', 'wp_notification_plus' ); ?>
            </button>
        </div>
    </div>
</div>
                    
                    </form>
    
                </div>
            </div>
        </div>
    </div>
</div>