<?php
$sett = $this->setting;
$type = $sett->getSetting( 'type', 'chat' );

//
//Chat audio widget
if ( $type == 'chat' ) :
    $aid  = $sett->getSetting( 'audio_' . $type, 0 );
    if ( $aid != 0 ) :
        $base = IPSNOT_BASE_URL . 'sound/widget/audio-' . $aid;
    ?>
    <audio class="ipsnot-audio-chat-widget" style="display:none;">
        <source src="<?php echo $base; ?>.mp3" type="audio/mpeg">
        <source src="<?php echo $base; ?>.ogg" type="audio/ogg">
        <?php _e( 'Your browser does not support this audio format.', 'wp_notification_plus' ); ?>
    </audio>
    <?php
    endif;
    
    $aid  = $sett->getSetting( 'chat_ringtone', 'bbm_tone' );
    if ( $aid ) :
        $base = IPSNOT_BASE_URL . 'sound/chat/' . $aid;
    ?>
    <audio class="ipsnot-audio-chat-ringtone" style="display:none;">
        <source src="<?php echo $base; ?>.mp3" type="audio/mpeg">
        <source src="<?php echo $base; ?>.ogg" type="audio/ogg">
        <?php _e( 'Your browser does not support this audio format.', 'wp_notification_plus' ); ?>
    </audio>
    <?php
    endif;
endif;

//
//Chat audio widget
if ( $type == 'call' ) :
    $aid  = $sett->getSetting( 'call_ringtone', 'skype' );
    if ( $aid ) :
        $base = IPSNOT_BASE_URL . 'sound/call/' . $aid;
    ?>
    <audio class="ipsnot-audio-call-ringtone" style="display:none;" loop>
        <source src="<?php echo $base; ?>.mp3" type="audio/mpeg">
        <source src="<?php echo $base; ?>.ogg" type="audio/ogg">
        <?php _e( 'Your browser does not support this audio format.', 'wp_notification_plus' ); ?>
    </audio>
    <?php
    endif;
endif;
?>