<div id="ipsnot-manage" class="wrap ipbe-wrap ipsnot-admin">
    <div class="ipbe-inner">
        
        <?php 
        if ( $this->notif ) 
        {
            $type  = $this->setting->getSetting( 'type', 'chat' );
            if ( $type == 'call' ) {
                $ticon = 'video-camera';
            } else {
                $ticon = 'comment';
            }
            $title = $this->notif->post_title;
            $info  = '<i class="ibe ibe-calendar"></i> Created: <strong>' . 
                        mysql2date( 'd F Y, h:i', $this->notif->post_date ) . '</strong>' .
                      '<span class="ipsnot-type-icon"><i class="ibe ibe-' . $ticon . '"></i></span>';
            $icon  = 'pencil';
            $this->header( 'ipsnot', $title, $info, $icon );
        } else {
            $this->header( 'ipsnot-create' );
        }
        ?>
        <div class="ipbe-main">
            <div class="ipbe-main-info"></div>

            <div class="ipbe-primary">
                <div class="ipbe-manage-wrap ipbe-manage-sidebar">
      
<?php
if ( ! $this->notif ) :
?>

<div class="ipsnot-create-options">
    
    <p class="mt0"><?php _e( 'To create a new notification you must first choose one type of notification by the button below.', 'wp_notification_plus' ); ?></p>
    
    <div class="container-fluid container mt20">
        <div class="row">
            <div class="col-md-4">
                <div class="ipbe-tile ipbe-tile-primary">
                    <a href="#ipsnot-manage-chat" class="ipbe-clear">
                        <i class="ibe ibe-comments ipbe-tile-icon"></i>
                        <div class="ipbe-tile-content">
                            <strong><?php _e( 'Chat Widget', 'wp_notification_plus' ); ?></strong>
                            <em><?php _e( 'Create a notification like a chat widget', 'wp_notification_plus' ); ?></em>
                        </div>
                    </a>
                </div>
            </div>
            <div class="col-md-4">
                <div class="ipbe-tile ipbe-tile-danger">
                    <a href="#ipsnot-manage-call" class="ipbe-clear">
                        <i class="ibe ibe-video-camera ipbe-tile-icon"></i>
                        <div class="ipbe-tile-content">
                            <strong><?php _e( 'Video Call Widget', 'wp_notification_plus' ); ?></strong>
                            <em><?php _e( 'Create a notification like a video call widget', 'wp_notification_plus' ); ?></em>
                        </div>
                    </a>
                </div>
            </div>
        </div>
    </div>
                        
</div>
<?php 
endif;
?>

<?php
$form_action = admin_url( 'admin-ajax.php' ) . '?doajax=1&ipsnot=1&action=ipsnot_update';
$form_dsp    = '';
if ( ! $this->notif ) {
    $form_dsp = ' style="display:none;"';
}
$notifid = 0;
$type    = '';
if ( $this->notif ) {
    $notifid = $this->notif->ID;
    $type    = $this->setting->getSetting( 'type', 'chat' );
}
?>
<div class="ipsnot-manage-wrapper"<?php echo $form_dsp; ?>>
    <form id="<?php echo $this->form_id; ?>" enctype="multipart/form-data" method="post" class="ipbe-form ip-form-cont" action="<?php echo $form_action; ?>">
    
        <?php
        if ( ! $this->notif ) :
        ?>
        <div class="ipsnot-manage-title">
            <h3><?php _e( 'Create Chat Notification', 'wp_notification_plus' ); ?></h3>
        </div>
        <?php 
        endif;
        ?>
        
        <input type="hidden" id="ipsnot-manage-chat-title" name="chat_title" value="<?php _e( 'Create Chat Notification', 'wp_notification_plus' ); ?>">
        <input type="hidden" id="ipsnot-manage-call-title" name="call_title" value="<?php _e( 'Create Video Call Notification', 'wp_notification_plus' ); ?>">
        <input type="hidden" id="ipsnot-notif-type" name="type" value="<?php echo $type; ?>">
        <input type="hidden" id="ipsnot-notif-id" name="notifid" value="<?php echo $notifid; ?>">
        
        <div class="ipsnot-manage-main">
            <div class="container-fluid container">
                <div class="ipbe-clear ipbe-tab">
                    <?php $this->view( 'manage/menu' ); ?>
                    <?php $this->view( 'manage/main' ); ?>
                </div>
            </div>
        </div>
        
    </form>
</div>
            
<?php
/*
 * Modal add content
 */
$this->view( 'manage/content_chat/modal' );
?>

                </div>
            </div>
        </div>
    </div>
</div>