<?php
$type = $this->setting->getSetting( 'type', 'chat' );
if ( ! $this->notif || ( $this->notif && $type == 'chat' ) ) :
?>
<div id="ipsnot-modal-add-content" class="ipbe-ui-modal" style="display:none;">
    <div class="ipbe-ui-modal-main">
        <div class="ipbe-ui-modal-inner">
            <div class="ipbe-ui-modal-title">
                <h3><?php _e( 'Add New Content', 'wp_notification_plus' ); ?></h3>
                <div class="ipbe-ui-close">
                    <a href="#"><i class="ibe ibe-times-circle"></i></a>
                </div>
            </div>
            <div class="ipbe-ui-modal-content">
                <?php
                $action = admin_url( 'admin-ajax.php' ) . '?doajax=1&ipsnot=1&action=ipsnot_chat_update';
                ?>
                <form id="ipsnot-add-content-form" method="post" class="ipbe-form ip-form-cont" action="<?php echo $action; ?>" enctype="multipart/form-data">
                    <div class="container-fluid container">
                        <?php $this->view( 'manage/content_chat/form' ); ?>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<div id="ipsnot-modal-edit-content" class="ipbe-ui-modal" style="display:none;">
    <div class="ipbe-ui-modal-main">
        <div class="ipbe-ui-modal-inner">
            <div class="ipbe-ui-modal-title">
                <h3><?php _e( 'Edit Content', 'wp_notification_plus' ); ?></h3>
                <div class="ipbe-ui-close">
                    <a href="#"><i class="ibe ibe-times-circle"></i></a>
                </div>
            </div>
            <div class="ipbe-ui-modal-content">
                <?php
                $action = admin_url( 'admin-ajax.php' ) . '?doajax=1&ipsnot=1&action=ipsnot_chat_update';
                ?>
                <form id="ipsnot-edit-content-form" method="post" class="ipbe-form ip-form-cont" action="<?php echo $action; ?>" enctype="multipart/form-data">
                    <div class="container-fluid container ipsnot-modal-edit-chat-main">
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<?php
endif;
?>