<div id="ipsnot-section-design-call" class="ipbe-tab-content">
    <div class="ipbe-tab-inner">
        
        <div class="ipbe-title-content ipbe-hide">
            <i class="ibe ibe-cogs"></i>
            <div class="ipbe-title-text">
                <h3><?php _e( 'Design', 'wp_notification_plus' ); ?></h3>
                <p><?php _e( 'Setting the display of the notification widget', 'wp_notification_plus' ); ?></p>
            </div>
        </div>
        
        <div class="ipbe-fields">
            
            <?php
            //Style
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-style-call"><?php _e( 'Style', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    <select name="style_call" class="ipbe-input ipsnot-style-option" id="input-style-call">
                    <?php
                    $styles = array(
                        'skype'           => __( 'Skype Video Call', 'wp_notification_plus' ),
                        'call_flat'       => __( 'Flat', 'wp_notification_plus' ),
                    );
                    $style =$this->setting->getSetting( 'style_call', 'skype' );
                    foreach( $styles as $key => $label )
                    {
                        $sltd = '';
                        if ( $key == $style ) {
                            $sltd = ' selected="selected"';
                        }
                        echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                    }
                    ?>
                    </select>
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the style of the notification widget.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            $dsp_skype   = 
            $dsp_flat    = 
            $dsp_modern  =
            $dsp_classic = ' style="display:none;"';
            if ( $style == 'skype' ) {
                $dsp_skype = '';
            }
            if ( $style == 'flat' ) {
                $dsp_flat = '';
            }
            if ( $style == 'modern' ) {
                $dsp_modern = '';
            }
            if ( $style == 'classic' ) {
                $dsp_classic = '';
            }
            ?>
            <div id="ipsnot-style-skype" class="ipsnot-style-fields"<?php echo $dsp_skype; ?>>
            </div>
            
            <div id="ipsnot-style-call_flat" class="ipsnot-style-fields"<?php echo $dsp_flat; ?>>
                <?php
                //Color
                ?>
                <div class="ipbe-field-row ipbe-field-x ipbe-field-style-color">
                    <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                        <label for="input-style-call-flat-color"><?php _e( 'Color', 'wp_notification_plus' ); ?></label>
                    </div>
                    <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    
                        <select name="style_call_flat_color" class="ipbe-input" id="input-style-call-flat-color">
                            <?php
                            $colors = array(
                                'grey'          => __( 'Grey', 'wp_notification_plus' ),
                                'black'         => __( 'Black', 'wp_notification_plus' ),
                                'blue'          => __( 'Blue', 'wp_notification_plus' ),
                                'light_blue'    => __( 'Light Blue', 'wp_notification_plus' ),
                                'orange'        => __( 'Orange', 'wp_notification_plus' ),
                                'red'           => __( 'Red', 'wp_notification_plus' ),
                                'green'         => __( 'Green', 'wp_notification_plus' ),
                                'pink'          => __( 'Pink', 'wp_notification_plus' ),
                                'purple'        => __( 'Purple', 'wp_notification_plus' ),
                                'yellow'        => __( 'Yellow', 'wp_notification_plus' )
                            );
                            $color = $this->setting->getSetting( 'style_call_flat_color', 'grey' );
                            foreach( $colors as $key => $label )
                            {
                                $sltd = '';
                                if ( $key == $color ) {
                                    $sltd = ' selected="selected"';
                                }
                                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                            }
                            ?>
                        </select>
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'Set the color of the notification widget.', 'wp_notification_plus' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            
            <div id="ipsnot-style-call_modern" class="ipsnot-style-fields"<?php echo $dsp_modern; ?>>
                <?php
                //Color
                ?>
                <div class="ipbe-field-row ipbe-field-x ipbe-field-style-color">
                    <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                        <label for="input-style-call-modern-color"><?php _e( 'Color', 'wp_notification_plus' ); ?></label>
                    </div>
                    <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    
                        <select name="style_call_modern_color" class="ipbe-input" id="input-style-call-modern-color">
                            <?php
                            $colors = array(
                                'grey'          => __( 'Grey', 'wp_notification_plus' ),
                                'black'         => __( 'Black', 'wp_notification_plus' ),
                                'blue'          => __( 'Blue', 'wp_notification_plus' ),
                                'light_blue'    => __( 'Light Blue', 'wp_notification_plus' ),
                                'orange'        => __( 'Orange', 'wp_notification_plus' ),
                                'red'           => __( 'Red', 'wp_notification_plus' ),
                                'green'         => __( 'Green', 'wp_notification_plus' ),
                                'pink'          => __( 'Pink', 'wp_notification_plus' ),
                                'purple'        => __( 'Purple', 'wp_notification_plus' ),
                                'yellow'        => __( 'Yellow', 'wp_notification_plus' )
                            );
                            $color = $this->setting->getSetting( 'style_call_modern_color', 'grey' );
                            foreach( $colors as $key => $label )
                            {
                                $sltd = '';
                                if ( $key == $color ) {
                                    $sltd = ' selected="selected"';
                                }
                                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                            }
                            ?>
                        </select>
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'Set the color of the notification widget.', 'wp_notification_plus' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            
            <div id="ipsnot-style-call_classic" class="ipsnot-style-fields"<?php echo $dsp_classic; ?>>
                <?php
                //Color
                ?>
                <div class="ipbe-field-row ipbe-field-x ipbe-field-style-color">
                    <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                        <label for="input-style-call-classic-color"><?php _e( 'Color', 'wp_notification_plus' ); ?></label>
                    </div>
                    <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    
                        <select name="style_call_classic_color" class="ipbe-input" id="input-style-call-classic-color">
                            <?php
                            $colors = array(
                                'grey'          => __( 'Grey', 'wp_notification_plus' ),
                                'black'         => __( 'Black', 'wp_notification_plus' ),
                                'blue'          => __( 'Blue', 'wp_notification_plus' ),
                                'light_blue'    => __( 'Light Blue', 'wp_notification_plus' ),
                                'orange'        => __( 'Orange', 'wp_notification_plus' ),
                                'red'           => __( 'Red', 'wp_notification_plus' ),
                                'green'         => __( 'Green', 'wp_notification_plus' ),
                                'pink'          => __( 'Pink', 'wp_notification_plus' ),
                                'purple'        => __( 'Purple', 'wp_notification_plus' ),
                                'yellow'        => __( 'Yellow', 'wp_notification_plus' )
                            );
                            $color = $this->setting->getSetting( 'style_call_classic_color', 'grey' );
                            foreach( $colors as $key => $label )
                            {
                                $sltd = '';
                                if ( $key == $color ) {
                                    $sltd = ' selected="selected"';
                                }
                                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                            }
                            ?>
                        </select>
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'Set the color of the notification widget.', 'wp_notification_plus' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            
            <div id="ipsnot-style-call_general">
                <?php
                //Cancel Call Icon
                ?>
                <div class="ipbe-field-row ipbe-field-x">
                    <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                        <label for="input-style-skype-icon-decline"><?php _e( 'Decline Call Icon', 'wp_notification_plus' ); ?></label>
                    </div>
                    <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    
                        <div class="ipbe-btn-onoff">
                            <?php
                            $val = $this->setting->getSetting( 'style_skype_icon_decline', 'true' );
                            if ( $val == 'false' ) {
                                $clon  = '';
                                $cloff = ' ipbe-btn-danger active';
                            } else {
                                $clon  = ' ipbe-btn-success active';
                                $cloff = '';
                            }
                            ?>
                            <div class="ipbe-btn-group">
                                <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Show', 'wp_notification_plus' ); ?></button>
                                <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Hide', 'wp_notification_plus' ); ?></button>
                            </div>
                            <input type="hidden" class="ipbe-onoff-value" name="style_skype_icon_decline" value="<?php echo $val; ?>" />
                        </div>
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'Set whether to display the decline call icon in the notification widget.', 'wp_notification_plus' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
            
                <?php
                //Accept Call Icon
                ?>
                <div class="ipbe-field-row ipbe-field-x">
                    <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                        <label for="input-style-skype-icon-accept"><?php _e( 'Accept Call Icon', 'wp_notification_plus' ); ?></label>
                    </div>
                    <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    
                        <div class="ipbe-btn-onoff">
                            <?php
                            $val = $this->setting->getSetting( 'style_skype_icon_accept', 'true' );
                            if ( $val == 'false' ) {
                                $clon  = '';
                                $cloff = ' ipbe-btn-danger active';
                            } else {
                                $clon  = ' ipbe-btn-success active';
                                $cloff = '';
                            }
                            ?>
                            <div class="ipbe-btn-group">
                                <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Show', 'wp_notification_plus' ); ?></button>
                                <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Hide', 'wp_notification_plus' ); ?></button>
                            </div>
                            <input type="hidden" class="ipbe-onoff-value" name="style_skype_icon_accept" value="<?php echo $val; ?>" />
                        </div>
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'Set whether to display the accept call icon in the notification widget.', 'wp_notification_plus' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
            
                <?php
                //Video Camera Icon
                ?>
                <div class="ipbe-field-row ipbe-field-x">
                    <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                        <label for="input-style-skype-icon-video"><?php _e( 'Video Camera Icon', 'wp_notification_plus' ); ?></label>
                    </div>
                    <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    
                        <div class="ipbe-btn-onoff">
                            <?php
                            $val = $this->setting->getSetting( 'style_skype_icon_video', 'true' );
                            if ( $val == 'false' ) {
                                $clon  = '';
                                $cloff = ' ipbe-btn-danger active';
                            } else {
                                $clon  = ' ipbe-btn-success active';
                                $cloff = '';
                            }
                            ?>
                            <div class="ipbe-btn-group">
                                <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Show', 'wp_notification_plus' ); ?></button>
                                <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Hide', 'wp_notification_plus' ); ?></button>
                            </div>
                            <input type="hidden" class="ipbe-onoff-value" name="style_skype_icon_video" value="<?php echo $val; ?>" />
                        </div>
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'Set whether to display the video camera icon in the notification widget.', 'wp_notification_plus' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
            
            </div>
        
        </div>
    </div>
</div>