<div id="ipsnot-section-design-chat" class="ipbe-tab-content">
    <div class="ipbe-tab-inner">
        
        <div class="ipbe-title-content ipbe-hide">
            <i class="ibe ibe-cogs"></i>
            <div class="ipbe-title-text">
                <h3><?php _e( 'Design', 'wp_notification_plus' ); ?></h3>
                <p><?php _e( 'Setting the display of the notification widget', 'wp_notification_plus' ); ?></p>
            </div>
        </div>
        
        <div class="ipbe-fields">
            
            <?php
            //Style
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-style-chat"><?php _e( 'Style', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    <select name="style_chat" class="ipbe-input ipsnot-style-option" id="input-style-chat">
                    <?php
                    $styles = array(
                        'facebook'   => __( 'Facebook Messager', 'wp_notification_plus' ),
                        'yahoo'      => __( 'Yahoo Messager', 'wp_special_notif' ),
                        'google'     => __( 'Google Talk', 'wp_special_notif' ),
                        'flat'       => __( 'Flat', 'wp_notification_plus' ),
                        'modern'     => __( 'Modern', 'wp_notification_plus' ),
                        'classic'    => __( 'Classic', 'wp_notification_plus' ),
                    );
                    $style = $this->setting->getSetting( 'style_chat', 'facebook' );
                    foreach( $styles as $key => $label )
                    {
                        $sltd = '';
                        if ( $key == $style ) {
                            $sltd = ' selected="selected"';
                        }
                        echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                    }
                    ?>
                    </select>
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the style of the notification widget.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            $dsp_fb      = 
            $dsp_yahoo   = 
            $dsp_google  = 
            $dsp_flat    = 
            $dsp_modern  =
            $dsp_classic = ' style="display:none;"';
            if ( $style == 'facebook' ) {
                $dsp_fb = '';
            }
            if ( $style == 'yahoo' ) {
                $dsp_yahoo = '';
            }
            if ( $style == 'google' ) {
                $dsp_google = '';
            }
            if ( $style == 'flat' ) {
                $dsp_flat = '';
            }
            if ( $style == 'modern' ) {
                $dsp_modern = '';
            }
            if ( $style == 'classic' ) {
                $dsp_classic = '';
            }
            ?>
            <div id="ipsnot-style-facebook" class="ipsnot-style-fields"<?php echo $dsp_fb; ?>>
            
                <?php
                //Option Icon
                ?>
                <div class="ipbe-field-row ipbe-field-x">
                    <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                        <label for="input-style-fb-icon-setting"><?php _e( 'Setting Icon', 'wp_notification_plus' ); ?></label>
                    </div>
                    <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    
                        <div class="ipbe-btn-onoff">
                            <?php
                            $val = $this->setting->getSetting( 'style_fb_icon_setting', 'true' );
                            if ( $val == 'false' ) {
                                $clon  = '';
                                $cloff = ' ipbe-btn-danger active';
                            } else {
                                $clon  = ' ipbe-btn-success active';
                                $cloff = '';
                            }
                            ?>
                            <div class="ipbe-btn-group">
                                <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Show', 'wp_notification_plus' ); ?></button>
                                <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Hide', 'wp_notification_plus' ); ?></button>
                            </div>
                            <input type="hidden" class="ipbe-onoff-value" name="style_fb_icon_setting" value="<?php echo $val; ?>" />
                        </div>
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'Set whether to display the settings icon in the notification widget.', 'wp_notification_plus' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
            
                <?php
                //Video Camera Icon
                ?>
                <div class="ipbe-field-row ipbe-field-x">
                    <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                        <label for="input-style-fb-icon-video"><?php _e( 'Video Camera Icon', 'wp_notification_plus' ); ?></label>
                    </div>
                    <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    
                        <div class="ipbe-btn-onoff">
                            <?php
                            $val = $this->setting->getSetting( 'style_fb_icon_video', 'true' );
                            if ( $val == 'false' ) {
                                $clon  = '';
                                $cloff = ' ipbe-btn-danger active';
                            } else {
                                $clon  = ' ipbe-btn-success active';
                                $cloff = '';
                            }
                            ?>
                            <div class="ipbe-btn-group">
                                <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Show', 'wp_notification_plus' ); ?></button>
                                <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Hide', 'wp_notification_plus' ); ?></button>
                            </div>
                            <input type="hidden" class="ipbe-onoff-value" name="style_fb_icon_video" value="<?php echo $val; ?>" />
                        </div>
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'Set whether to display the settings icon in the notification widget.', 'wp_notification_plus' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
            
                <?php
                //Add Friend Icon 
                ?>
                <div class="ipbe-field-row ipbe-field-x">
                    <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                        <label for="input-style-fb-icon-friend"><?php _e( 'Add Friend Icon', 'wp_notification_plus' ); ?></label>
                    </div>
                    <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    
                        <div class="ipbe-btn-onoff">
                            <?php
                            $val = $this->setting->getSetting( 'style_fb_icon_friend', 'true' );
                            if ( $val == 'false' ) {
                                $clon  = '';
                                $cloff = ' ipbe-btn-danger active';
                            } else {
                                $clon  = ' ipbe-btn-success active';
                                $cloff = '';
                            }
                            ?>
                            <div class="ipbe-btn-group">
                                <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Show', 'wp_notification_plus' ); ?></button>
                                <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Hide', 'wp_notification_plus' ); ?></button>
                            </div>
                            <input type="hidden" class="ipbe-onoff-value" name="style_fb_icon_friend" value="<?php echo $val; ?>" />
                        </div>
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'Set whether to display the add friend icon in the notification widget.', 'wp_notification_plus' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
            
                <?php
                //Chat Input 
                ?>
                <div class="ipbe-field-row ipbe-field-x">
                    <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                        <label for="input-style-fb-chat-input"><?php _e( 'Chat Input', 'wp_notification_plus' ); ?></label>
                    </div>
                    <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    
                        <div class="ipbe-btn-onoff">
                            <?php
                            $val = $this->setting->getSetting( 'style_fb_chat_input', 'true' );
                            if ( $val == 'false' ) {
                                $clon  = '';
                                $cloff = ' ipbe-btn-danger active';
                            } else {
                                $clon  = ' ipbe-btn-success active';
                                $cloff = '';
                            }
                            ?>
                            <div class="ipbe-btn-group">
                                <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Show', 'wp_notification_plus' ); ?></button>
                                <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Hide', 'wp_notification_plus' ); ?></button>
                            </div>
                            <input type="hidden" class="ipbe-onoff-value" name="style_fb_chat_input" value="<?php echo $val; ?>" />
                        </div>
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'Set whether to display the chat input in the notification widget.', 'wp_notification_plus' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
            
            </div>
        
            <div id="ipsnot-style-yahoo" class="ipsnot-style-fields"<?php echo $dsp_yahoo; ?>>
            
                <?php
                //Chat Input 
                ?>
                <div class="ipbe-field-row ipbe-field-x">
                    <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                        <label for="input-style-yahoo-chat-input"><?php _e( 'Chat Input', 'wp_special_notif' ); ?></label>
                    </div>
                    <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    
                        <div class="ipbe-btn-onoff">
                            <?php
                            $val = $this->setting->getSetting( 'style_yahoo_chat_input', 'true' );
                            if ( $val == 'false' ) {
                                $clon  = '';
                                $cloff = ' ipbe-btn-danger active';
                            } else {
                                $clon  = ' ipbe-btn-success active';
                                $cloff = '';
                            }
                            ?>
                            <div class="ipbe-btn-group">
                                <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Show', 'wp_special_notif' ); ?></button>
                                <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Hide', 'wp_special_notif' ); ?></button>
                            </div>
                            <input type="hidden" class="ipbe-onoff-value" name="style_yahoo_chat_input" value="<?php echo $val; ?>" />
                        </div>
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'Set whether to display the chat input in the notification widget.', 'wp_special_notif' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        
            <div id="ipsnot-style-google" class="ipsnot-style-fields"<?php echo $dsp_google; ?>>
            
                <?php
                //Call Icon 
                ?>
                <div class="ipbe-field-row ipbe-field-x">
                    <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                        <label for="input-style-google-icon-call"><?php _e( 'Call Icon', 'wp_special_notif' ); ?></label>
                    </div>
                    <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    
                        <div class="ipbe-btn-onoff">
                            <?php
                            $val = $this->setting->getSetting( 'style_google_icon_call', 'true' );
                            if ( $val == 'false' ) {
                                $clon  = '';
                                $cloff = ' ipbe-btn-danger active';
                            } else {
                                $clon  = ' ipbe-btn-success active';
                                $cloff = '';
                            }
                            ?>
                            <div class="ipbe-btn-group">
                                <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Show', 'wp_special_notif' ); ?></button>
                                <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Hide', 'wp_special_notif' ); ?></button>
                            </div>
                            <input type="hidden" class="ipbe-onoff-value" name="style_google_icon_call" value="<?php echo $val; ?>" />
                        </div>
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'Set whether to display the call icon in the notification widget.', 'wp_special_notif' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
            
                <?php
                //Send Files Icon 
                ?>
                <div class="ipbe-field-row ipbe-field-x">
                    <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                        <label for="input-style-google-icon-file"><?php _e( 'Send Files Icon', 'wp_special_notif' ); ?></label>
                    </div>
                    <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    
                        <div class="ipbe-btn-onoff">
                            <?php
                            $val = $this->setting->getSetting( 'style_google_icon_file', 'true' );
                            if ( $val == 'false' ) {
                                $clon  = '';
                                $cloff = ' ipbe-btn-danger active';
                            } else {
                                $clon  = ' ipbe-btn-success active';
                                $cloff = '';
                            }
                            ?>
                            <div class="ipbe-btn-group">
                                <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Show', 'wp_special_notif' ); ?></button>
                                <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Hide', 'wp_special_notif' ); ?></button>
                            </div>
                            <input type="hidden" class="ipbe-onoff-value" name="style_google_icon_file" value="<?php echo $val; ?>" />
                        </div>
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'Set whether to display the send files icon in the notification widget.', 'wp_special_notif' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
                
                <?php
                //Chat Input 
                ?>
                <div class="ipbe-field-row ipbe-field-x">
                    <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                        <label for="input-style-google-chat-input"><?php _e( 'Chat Input', 'wp_special_notif' ); ?></label>
                    </div>
                    <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    
                        <div class="ipbe-btn-onoff">
                            <?php
                            $val = $this->setting->getSetting( 'style_google_chat_input', 'true' );
                            if ( $val == 'false' ) {
                                $clon  = '';
                                $cloff = ' ipbe-btn-danger active';
                            } else {
                                $clon  = ' ipbe-btn-success active';
                                $cloff = '';
                            }
                            ?>
                            <div class="ipbe-btn-group">
                                <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Show', 'wp_special_notif' ); ?></button>
                                <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Hide', 'wp_special_notif' ); ?></button>
                            </div>
                            <input type="hidden" class="ipbe-onoff-value" name="style_google_chat_input" value="<?php echo $val; ?>" />
                        </div>
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'Set whether to display the chat input in the notification widget.', 'wp_special_notif' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        
            <div id="ipsnot-style-flat" class="ipsnot-style-fields"<?php echo $dsp_flat; ?>>
            
                <?php
                //Color
                ?>
                <div class="ipbe-field-row ipbe-field-x">
                    <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                        <label for="input-style-flat-color"><?php _e( 'Color', 'wp_notification_plus' ); ?></label>
                    </div>
                    <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    
                        <select name="style_flat_color" class="ipbe-input" id="input-style-flat-color">
                            <?php
                            $colors = array(
                                'grey'          => __( 'Grey', 'wp_notification_plus' ),
                                'black'         => __( 'Black', 'wp_notification_plus' ),
                                'blue'          => __( 'Blue', 'wp_notification_plus' ),
                                'light_blue'    => __( 'Light Blue', 'wp_notification_plus' ),
                                'orange'        => __( 'Orange', 'wp_notification_plus' ),
                                'red'           => __( 'Red', 'wp_notification_plus' ),
                                'green'         => __( 'Green', 'wp_notification_plus' ),
                                'pink'          => __( 'Pink', 'wp_notification_plus' ),
                                'purple'        => __( 'Purple', 'wp_notification_plus' ),
                                'yellow'        => __( 'Yellow', 'wp_notification_plus' )
                            );
                            $color = $this->setting->getSetting( 'style_flat_color', 'grey' );
                            foreach( $colors as $key => $label )
                            {
                                $sltd = '';
                                if ( $key == $color ) {
                                    $sltd = ' selected="selected"';
                                }
                                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                            }
                            ?>
                        </select>
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'Set the color of the notification widget.', 'wp_notification_plus' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
                
                <?php
                //Chat Input 
                ?>
                <div class="ipbe-field-row ipbe-field-x">
                    <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                        <label for="input-style-flat-chat-input"><?php _e( 'Chat Input', 'wp_notification_plus' ); ?></label>
                    </div>
                    <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    
                        <div class="ipbe-btn-onoff">
                            <?php
                            $val = $this->setting->getSetting( 'style_flat_chat_input', 'true' );
                            if ( $val == 'false' ) {
                                $clon  = '';
                                $cloff = ' ipbe-btn-danger active';
                            } else {
                                $clon  = ' ipbe-btn-success active';
                                $cloff = '';
                            }
                            ?>
                            <div class="ipbe-btn-group">
                                <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Show', 'wp_notification_plus' ); ?></button>
                                <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Hide', 'wp_notification_plus' ); ?></button>
                            </div>
                            <input type="hidden" class="ipbe-onoff-value" name="style_flat_chat_input" value="<?php echo $val; ?>" />
                        </div>
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'Set whether to display the chat input in the notification widget.', 'wp_notification_plus' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
            
            </div>
        
            <div id="ipsnot-style-modern" class="ipsnot-style-fields"<?php echo $dsp_modern; ?>>
                      
                <?php
                //Color
                ?>
                <div class="ipbe-field-row ipbe-field-x">
                    <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                        <label for="input-style-modern-color"><?php _e( 'Color', 'wp_notification_plus' ); ?></label>
                    </div>
                    <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    
                        <select name="style_modern_color" class="ipbe-input" id="input-style-modern-color">
                            <?php
                            $color = $this->setting->getSetting( 'style_modern_color', 'grey' );
                            foreach( $colors as $key => $label )
                            {
                                $sltd = '';
                                if ( $key == $color ) {
                                    $sltd = ' selected="selected"';
                                }
                                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                            }
                            ?>
                        </select>
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'Set the color of the notification widget.', 'wp_notification_plus' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
                
                <?php
                //Chat Input 
                ?>
                <div class="ipbe-field-row ipbe-field-x">
                    <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                        <label for="input-style-modern-chat-input"><?php _e( 'Chat Input', 'wp_notification_plus' ); ?></label>
                    </div>
                    <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    
                        <div class="ipbe-btn-onoff">
                            <?php
                            $val = $this->setting->getSetting( 'style_modern_chat_input', 'true' );
                            if ( $val == 'false' ) {
                                $clon  = '';
                                $cloff = ' ipbe-btn-danger active';
                            } else {
                                $clon  = ' ipbe-btn-success active';
                                $cloff = '';
                            }
                            ?>
                            <div class="ipbe-btn-group">
                                <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Show', 'wp_notification_plus' ); ?></button>
                                <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Hide', 'wp_notification_plus' ); ?></button>
                            </div>
                            <input type="hidden" class="ipbe-onoff-value" name="style_modern_chat_input" value="<?php echo $val; ?>" />
                        </div>
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'Set whether to display the chat input in the notification widget.', 'wp_notification_plus' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
                
            </div>
        
            <div id="ipsnot-style-classic" class="ipsnot-style-fields"<?php echo $dsp_classic; ?>>
            
                <?php
                //Color
                ?>
                <div class="ipbe-field-row ipbe-field-x">
                    <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                        <label for="input-style-classic-color"><?php _e( 'Color', 'wp_notification_plus' ); ?></label>
                    </div>
                    <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    
                        <select name="style_classic_color" class="ipbe-input" id="input-style-classic-color">
                            <?php
                            $color = $this->setting->getSetting( 'style_classic_color', 'grey' );
                            foreach( $colors as $key => $label )
                            {
                                $sltd = '';
                                if ( $key == $color ) {
                                    $sltd = ' selected="selected"';
                                }
                                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                            }
                            ?>
                        </select>
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'Set the color of the notification widget.', 'wp_notification_plus' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
                
                <?php
                //Chat Input 
                ?>
                <div class="ipbe-field-row ipbe-field-x">
                    <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                        <label for="input-style-classic-chat-input"><?php _e( 'Chat Input', 'wp_notification_plus' ); ?></label>
                    </div>
                    <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    
                        <div class="ipbe-btn-onoff">
                            <?php
                            $val = $this->setting->getSetting( 'style_classic_chat_input', 'true' );
                            if ( $val == 'false' ) {
                                $clon  = '';
                                $cloff = ' ipbe-btn-danger active';
                            } else {
                                $clon  = ' ipbe-btn-success active';
                                $cloff = '';
                            }
                            ?>
                            <div class="ipbe-btn-group">
                                <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Show', 'wp_notification_plus' ); ?></button>
                                <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Hide', 'wp_notification_plus' ); ?></button>
                            </div>
                            <input type="hidden" class="ipbe-onoff-value" name="style_classic_chat_input" value="<?php echo $val; ?>" />
                        </div>
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'Set whether to display the chat input in the notification widget.', 'wp_notification_plus' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
                
            </div>
        </div>
    </div>
</div>