<div id="ipsnot-section-effect-call" class="ipbe-tab-content">
    <div class="ipbe-tab-inner">
        
        <div class="ipbe-title-content ipbe-hide">
            <i class="ibe ibe-cogs"></i>
            <div class="ipbe-title-text">
                <h3><?php _e( 'Effect', 'wp_notification_plus' ); ?></h3>
                <p><?php _e( 'Set the effect of the notification widget', 'wp_notification_plus' ); ?></p>
            </div>
        </div>
        
        <div class="ipbe-fields">
            
            <?php
            //Position
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-position-call"><?php _e( 'Position', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    <select id="input-position-call" class="ipbe-input" name="position_call">
                            <?php
                            $post  = stripslashes( $this->setting->getSetting( 'position_call', 'middle_center' ) );
                            $options = array(
                                'top_left'         => __( 'Top Left', 'wp_notification_plus' ),
                                'top_center'       => __( 'Top Center', 'wp_notification_plus' ),
                                'top_right'        => __( 'Top Right', 'wp_notification_plus' ),
                                'middle_left'      => __( 'Middle Left', 'wp_notification_plus' ),
                                'middle_center'    => __( 'Middle Center', 'wp_notification_plus' ),
                                'middle_right'     => __( 'Middle Right', 'wp_notification_plus' ),
                                'bottom_left'      => __( 'Bottom Left', 'wp_notification_plus' ),
                                'bottom_center'    => __( 'Bottom Center', 'wp_notification_plus' ),
                                'bottom_right'     => __( 'Bottom Right', 'wp_notification_plus' )
                            );
                            foreach( $options as $key => $option ) {
                                $sltd = '';
                                if ( $key == $post ) {
                                    $sltd = ' selected="selected"';
                                }
                                echo '<option value="' . $key . '"' . $sltd . '>' . $option . '</option>';
                            }
                            ?>
                    </select>
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the position of the notification widget.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Background Overlay 
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-bg-overlay"><?php _e( 'Background Overlay', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    <div class="ipbe-btn-onoff">
                        <?php
                        $val = $this->setting->getSetting( 'background_overlay', 'true' );
                        if ( $val == 'false' ) {
                            $clon  = '';
                            $cloff = ' ipbe-btn-danger active';
                        } else {
                            $clon  = ' ipbe-btn-success active';
                            $cloff = '';
                        }
                        ?>
                        <div class="ipbe-btn-group">
                            <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_notification_plus' ); ?></button>
                            <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_notification_plus' ); ?></button>
                        </div>
                        <input type="hidden" class="ipbe-onoff-value" name="background_overlay" value="<?php echo $val; ?>" />
                    </div>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the background overlay of widget.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Incoming Ringtones
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-call-ringtone"><?php _e( 'Incoming Ringtone', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">

                    <select id="input-call-ringtone" class="ipbe-input" name="call_ringtone">
                        <option value="0"> <?php _e( 'No Ringtone', 'wp_notification_plus' );  ?> </option>
                        <?php
                        $ring = $this->setting->getSetting( 'call_ringtone', 'skype' );
                        $ringtones = array(
                            'skype'         => __( 'Skype', 'wp_notification_plus' ),
                            'beep'          => __( 'Beep', 'wp_notification_plus' ),
                            'blackberry'    => __( 'Blackberry', 'wp_notification_plus' ),
                            'google_tone'   => __( 'Google Tone', 'wp_notification_plus' ),
                            'iphone_5s'     => __( 'Iphone 5S', 'wp_notification_plus' ),
                            'sony_xperia_z' => __( 'Sony Xperia Z', 'wp_notification_plus' ),
                        );
                        foreach( $ringtones as $key ) {
                            $sltd = '';
                            if ( $key == $ring ) {
                                $sltd = ' selected="selected"';
                            }
                            echo '<option value="' . $key . '"' . $sltd . '>' . $key . '</option>';
                        }
                        ?>
                    </select>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the ringtone when the main content of the shared object is displayed', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Widget Delay
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-widget-delay-call"><?php _e( 'Widget Delay', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">

                    <?php
                    $delay = stripslashes( $this->setting->getSetting( 'widget_delay_call' ) );
                    ?>
                    <div class="ipbe-input-group">
                        <input type="text" id="input-widget-delay-call" class="ipbe-input ipbe-input-xs" name="widget_delay_call" value="<?php echo $delay; ?> ">
                        <div class="ipbe-input-addon">
                            <?php _e( 'in second', 'wp_notification_plus' ); ?> 
                        </div>
                    </div>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the time delay of notification widget displayed.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Widget Delay Method
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-widget-delay-method-call"><?php _e( 'Widget Delay Method', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">

                    <select id="input-widget-delay-method-call" class="ipbe-input" name="widget_delay_method_call">
                        <?php
                        $method = stripslashes( $this->setting->getSetting( 'widget_delay_method_call' ) );
                        $options = array(
                            'page'  => __( 'Start when the page is loaded', 'wp_notification_plus' ),
                            'tab'   => __( 'Start when the user viewing a different tab', 'wp_notification_plus' )
                        );
                        foreach( $options as $key => $option ) {
                            $sltd = '';
                            if ( $key == $method ) {
                                $sltd = ' selected="selected"';
                            }
                            echo '<option value="' . $key . '"' . $sltd . '>' . $option . '</option>';
                        }
                        ?>
                    </select>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set how the time delay begins.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Widget Duration
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-widget-call-duration"><?php _e( 'Widget Duration', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    <?php
                    $duration = stripslashes( $this->setting->getSetting( 'widget_duration_call', '0' ) );
                    ?>
                    <div class="ipbe-input-group">
                        <input type="text" id="input-widget-call-duration" class="ipbe-input ipbe-input-xs" name="widget_duration_call" value="<?php echo $duration; ?> ">
                        <div class="ipbe-input-addon">
                            <?php _e( 'in second', 'wp_notification_plus' ); ?> 
                        </div>
                    </div>
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the duration of the widget is displayed.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Animation Speed
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-animation-speed-call"><?php _e( 'Animation Speed', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    <select id="input-animation-speed-call" class="ipbe-input" name="animation_speed_call">
                            <?php
                            $effect  = stripslashes( $this->setting->getSetting( 'animation_speed_call', 'md' ) );
                            $options = array(
                                'xs'    => __( 'Very Slow', 'wp_notification_plus' ),
                                'sm'    => __( 'Slow', 'wp_notification_plus' ),
                                'md'    => __( 'Medium', 'wp_notification_plus' ),
                                'lg'    => __( 'Fast', 'wp_notification_plus' ),
                                'xg'    => __( 'Very Fast', 'wp_notification_plus' ),
                            );
                            foreach( $options as $key => $option ) {
                                $sltd = '';
                                if ( $key == $effect ) {
                                    $sltd = ' selected="selected"';
                                }
                                echo '<option value="' . $key . '"' . $sltd . '>' . $option . '</option>';
                            }
                            ?>
                    </select>
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the speed of the animation when the notification is displayed.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Direction
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-show-direction"><?php _e( 'Show/Hide Direction', 'wp_notification_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    <select id="input-show-direction" class="ipbe-input" name="show_direction">
                            <?php
                            $dir     = stripslashes( $this->setting->getSetting( 'show_direction', 'top' ) );
                            $options = array(
                                'top'    => __( 'Top', 'wp_notification_plus' ),
                                'bottom' => __( 'Bottom', 'wp_notification_plus' ),
                                'left'   => __( 'Left', 'wp_notification_plus' ),
                                'right'  => __( 'Right', 'wp_notification_plus' )
                            );
                            foreach( $options as $key => $option ) {
                                $sltd = '';
                                if ( $key == $dir ) {
                                    $sltd = ' selected="selected"';
                                }
                                echo '<option value="' . $key . '"' . $sltd . '>' . $option . '</option>';
                            }
                            ?>
                    </select>
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the speed of the animation when the notification is displayed.', 'wp_notification_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
        
        </div>
    </div>
</div>