<div class="ipbe-manage-content">

    <div class="ipbe-manage-info">
        <div class="row">
            <div class="col-md-6">
                <div class="ipbe-tab-title">
                    <i class="ibe ibe-cogs"></i>
                    <div class="ipbe-title-text">
                        <h3><?php _e( 'General', 'wp_notification_plus' ); ?></h3>
                        <p><?php _e( 'Basic settings and info of your notification', 'wp_notification_plus' ); ?></p>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="ipbe-top-submit">
                    <button type="submit" class="ip-form-submit ipbe-btn ipbe-btn-primary ipbe-btn-lg <?php echo $this->submit_id; ?>" id="do-update-top" name="update_top">
                        <i class="ibe ibe-<?php echo $this->submit_icon; ?>"></i>
                        <strong><?php echo $this->submit_title; ?></strong>
                    </button>
                    <?php
                    if ( $this->notif ) {
                        echo '<p class="ipbe-update-info">' .
                                __( 'Last Update', 'wp_notification_plus' ) .
                                ': <strong>' . mysql2date( 'd F Y, h:i:s', $this->notif->post_date ) . '</strong>' .
                              '</p>';
                    }
                    ?>
                </div>
            </div>
        </div>
    </div>
    
    <div class="ipbe-tab-contents">
        <?php 
        if ( $this->notif ) 
        {
            $type = $this->setting->getSetting( 'type', 'chat' );
            if ( $type == 'call' ) {
                $this->view( 'manage/call' ); 
            } else {
                $this->view( 'manage/chat' ); 
            }
        }
        else {
            $this->view( 'manage/chat' ); 
            $this->view( 'manage/call' ); 
        }
        ?>
    </div>
    <?php $this->view( 'manage/footer' ); ?>
</div>